
From: NeilBrown <neilb@suse.de>

Just like failed drives have (F), so spare drives now have (S).

Signed-off-by: Neil Brown <neilb@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/md/md.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletion(-)

diff -puN drivers/md/md.c~md-report-spare-drives-in-proc-mdstat drivers/md/md.c
--- devel/drivers/md/md.c~md-report-spare-drives-in-proc-mdstat	2005-09-01 23:48:10.000000000 -0700
+++ devel-akpm/drivers/md/md.c	2005-09-01 23:48:11.000000000 -0700
@@ -3334,7 +3334,8 @@ static int md_seq_show(struct seq_file *
 			if (rdev->faulty) {
 				seq_printf(seq, "(F)");
 				continue;
-			}
+			} else if (rdev->raid_disk < 0)
+				seq_printf(seq, "(S)"); /* spare */
 			size += rdev->size;
 		}
 
_
